| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XSFacet Class Reference

This represents all Schema Facet components with the exception of Enumeration and Pattern Facets, which are represented by the XSMultiValueFacet interface. More...

Inheritance diagram for XSFacet:

[legend]
List of all members.

## Public Member Functions

Constructors
| XSFacet (XSSimpleTypeDefinition::FACET facetKind, const XMLCh *const lexicalValue, bool isFixed, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSFacet ()
XSFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
const XMLCh * | getLexicalFacetValue () const
bool | isFixed () const
| Check whether a facet value is fixed.
XSAnnotation * | getAnnotation () const

## Protected Attributes

XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
const XMLCh * | fLexicalValue
XSAnnotation * | fAnnotation

## Detailed Description

This represents all Schema Facet components with the exception of Enumeration and Pattern Facets, which are represented by the XSMultiValueFacet interface.

This is *always* owned by the validator /parser object from which it is obtained.

## Constructor & Destructor Documentation

XSFacet::XSFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | const XMLCh *const | lexicalValue,
|  | bool | isFixed,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

The default constructor.

Parameters:

  | facetKind |
  | lexicalValue |
  | isFixed |
  | annot |
  | xsModel |
  | manager | The configurable memory manager

XSFacet::~XSFacet | ( |  | ) |

## Member Function Documentation

XSAnnotation * XSFacet::getAnnotation | ( |  | ) | const

Returns:
  an annotation

XSSimpleTypeDefinition::FACET XSFacet::getFacetKind | ( |  | ) | const

Returns:
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

const XMLCh * XSFacet::getLexicalFacetValue | ( |  | ) | const

Returns:
  Returns a value of a constraining facet.

bool XSFacet::isFixed | ( |  | ) | const

| Check whether a facet value is fixed.

## Member Data Documentation

XSAnnotation* XSFacet::fAnnotation`[protected]`

XSSimpleTypeDefinition::FACET XSFacet::fFacetKind`[protected]`

bool XSFacet::fIsFixed`[protected]`

const XMLCh* XSFacet::fLexicalValue`[protected]`

The documentation for this class was generated from the following file:

- XSFacet.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.